# Orario

Sito per visualizzare l'orario delle lezioni per i vari anni di corso.

## Usage

You need to have installed `node` and `npm` (or `pnpm`). To setup the project just run `npm install`.

### Development

To start the development server run `npm run dev`.

### Editor

È meglio se prima di fare commit il codice sia formattato con Prettier, nel caso di VSCode c'è un'estensione omonima e le opzioni da aggiungere al proprio JSON di impostazioni sono

```json
...
"prettier.printWidth": 100,
"prettier.singleQuote": true,
"prettier.quoteProps": "consistent",
"prettier.tabWidth": 4,
"prettier.semi": false,
"prettier.arrowParens": "avoid",
"editor.formatOnSave": true,
...
```

### Production

To build the ViteJS project run `npm run build`, for deployment a `.env` files can be used to set the `BASE_URL` variable.

