import { Icon } from './Icon.jsx'

export const ToolOverlay = ({ visibility, toggleVisibility, onClose }) => (
    <div class="overlay">
        <button class="icon primary" onClick={toggleVisibility}>
            <Icon name={visibility ? 'visibility_off' : 'visibility'} />
        </button>
        <button class="icon" onClick={onClose}>
            <Icon name="close" />
        </button>
    </div>
)
